
import java.io.InputStream;

import org.apache.tika.Tika;
import org.apache.tika.config.TikaConfig;
import org.apache.tika.metadata.Metadata;
import org.apache.tika.parser.ParseContext;
import org.apache.tika.parser.Parser;
import org.apache.tika.sax.BodyContentHandler;

public class Test {

	public static void main(String[] args) {
		Tika tika = new Tika(TikaConfig.getDefaultConfig());

		try {
			Parser parser = tika.getParser();
			InputStream stream = Thread.currentThread().getContextClassLoader().getResourceAsStream("slideshow1.ppt");
			BodyContentHandler handler = new BodyContentHandler();

			parser.parse(stream, handler, new Metadata(), new ParseContext());
			
			System.out.println("------------------------------------");

			String s = handler.toString().replace("\ufffd", ""); // TIKA-698

			System.out.println("content: " + s);
			System.out.println("length: " + s.length());

			System.out.println("------------------------------------");
		} catch (Exception e) {
			e.printStackTrace();
		}
	}
}
